

<div class="assignmentSkillWrap">
  <!--<div class="bredcum">
    <div class="btnAssing text-right">
      <div class="black marginRight">Assignment Semester Details</div>

      <button class="btn btn-cyean marginRight" (click)="navigateToCreateAssignmentBadgePopup()">
        Add Assignment Semester
      </button>
     &lt;!&ndash; <button class="btn btn-cyean download">
        Download Assignment Badge
      </button>&ndash;&gt;
    </div>
  </div>
-->
  <div class="bredcum">


    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Semester Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add Semester
      </button>
    </div>
  </div>

  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>Assignment Semester Name</th>
        <th>Assignment Semester Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let assignmentSemesterObj of assignmentSemesterList">
        <td>{{assignmentSemesterObj.semisterName}}</td>
        <td>{{assignmentSemesterObj.semisterDesp}}</td>
        <td  >
          <button class="btn btn-cyean"
                  (click)="editIntermediatePopUp(assignmentSemesterObj)">
          Edit Assignment Semester
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(assignmentSemesterObj)">
          Delete Assignment Semester
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createAssignmentSemsetser">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">create Assignment Semester</h4>
        <h4  *ngIf="isEdit">Edit Assignment Semester</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentBadge="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentBadgeObj.touched && assignmentBadgeObj.invalid">
              <label for="assignmentName"> Assignment Semester Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentBadgeObj.semisterName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="Semester"/>
              </div>
              <span style="color:red" *ngIf="assignmentName.touched && assignmentName.invalid">Please Assignment Semester Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0">Assignment Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="assignmentBadgeObj.semisterDesp" required name=description id="description"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span style="color:red" *ngIf="description.touched && description.invalid">Please Enter  Assignment Semester  Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveAssignmentBadge()" [disabled]="!assignmentBadge.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateAssignmentBadge()" [disabled]="!assignmentBadge.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-Close" (click)="hidePopup()">Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteAssignmentSemester">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Assignment Badge</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are sure u want to delete {{deletebadgeObj.assignmentBadgeObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteAssignmentBadge(deletebadgeObj)" >Delete</button>

        </div>
        <div class="col-sm-6">
          <button class="btn btn-Close" (click)="closeDeletePopup()">Close</button>
        </div>
      </div>

    </div>

  </div>
</div>

<div class="popWrap assignmentPopup" id="assignmentEditPopup">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">create Assignment Semester</h4>
        <h4  *ngIf="isEdit">Edit Assignment Semester</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="hideDataPopup()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentBadge="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentBadgeObj.touched && assignmentBadgeObj.invalid">
              <label for="assignmentEditName"> Assignment Semester Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentEditBadgeObj.semisterName" name="assignmentName" id="assignmentEditName"
                       #assignmentName="ngModel"  required placeholder="Semester"/>
              </div>
              <span style="color:red" *ngIf="assignmentName.touched && assignmentName.invalid">Please Assignment Semester Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0">Assignment Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="assignmentEditBadgeObj.semisterDesp" required name=description id="assignmentEditdescription"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span style="color:red" *ngIf="description.touched && description.invalid">Please Enter  Assignment Semester  Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">

            <button class="btn btn-create" *ngIf="isEdit" (click)="updateAssignmentBadge()" [disabled]="!assignmentBadge.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-Close" (click)="hideDataPopup()">Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>
